External issue:

Description

It's the same situation as #2075 (Redmine-as-SourceForge), but another issue: since users cannot access the server’s filesystem,
the server must provide URLSs for external access. They will exist, but the Repository tab shows the repo’s full path instead, and the
URLSs users can actually use have to be shown elsewhere.

The way | see it, given #2075, since nobody but the Redmine admins can access the filesystem, nobody but the Redmine admins
should be able to see the paths in the first place. So, in the vein of the Redmine Checkout plugin, | propose an extra functionality
where Redmine admins may provide a mapping from the repo’s path (what Redmine actually stores and uses) to its corresponding
public URL (which is what users and project managers can see and use).

Related issues:
Related to SCM Creator (+Github) - Feature #2075: Make an option to fully aut... Open 26 Jun 2012

Associated revisions

Revision 128 - 14 Sep 2013 22:23 - Andriy Lesyuk

Showing external URL under Repositories tab (#2078), replaced [] with more safe gsub! and more

History

#1 - 29 Jun 2012 03:04 - Humberto Anjos

The External Issue | put makes no sense (I thought it linked to this Redmine ); can you please clear it?

#2 - 29 Jun 2012 09:12 - Andriy Lesyuk
- Status changed from New to Incomplete
- Assignee set to Andriy Lesyuk

- External issue deleted (#2075)

| did not get the issue...

Can you show by examples? What external URL is shown and what it should be?

#3 - 29 Jun 2012 11:09 - Humberto Anjos
Andriy Lesyuk wrote:

| did not get the issue...

Can you show by examples? What external URL is shown and what it should be?

The URLs the Repository tab shows are the ones Redmine stores and uses: say, file:///var/lib/svn/project.repo_id. But users can’t get to the server’s
filesystem, so they need externally accessible URLs, like http://redmine.host/svn/project.repo_id. It's easy to configure Apache to make the HTTP
URLs, but there’s no way to configure Repository tab to show users the HTTP URL instead of the file:// URL, which is useless to the user.

Also, on the heels of #2075, the actual file:// URLs should only seen by the Redmine admins, for whom this information is relevant. All the other users

20 Apr 2024 1/4



http://projects.andriylesyuk.com/issues/2075
http://projects.andriylesyuk.com/issues/2075
http://dev.holgerjust.de/projects/redmine-checkout/wiki
http://projects.andriylesyuk.com/issues/2075

have no need to know where in the server the repos actually are. So, when project managers are creating a new repository, they should see
something like http://redmine.host/svn/project.repo_id the whole time, even though what Redmine actually stores is file:///var/lib/svn/project.repo_id.

Does all this make sense? | can expand more once | get to work

#4 - 29 Jun 2012 12:09 - Andriy Lesyuk

Where is file:///var/lib/svn/project.repo_id shown for users? Please give me screenshot.

#5 - 29 Jun 2012 13:43 - Humberto Anjos
- File file-URL-being-shown.PNG added

Andriy Lesyuk wrote:
I may have expressed myself poorly (again). I'll start posting these at work where | can actually see the Redmine instance...

Where is file:///var/lib/svn/project.repo_id shown for users? Please give me screenshot.

The file:// URL is visible at the project’s Settings tab, subtab Repositories, column Repository, accessible at
http://<redmine-host>/projects/<project>/settings ?tab=repositories, as in the screenshot below:

#™4 Settings - testesyn - Redmine
In my situation any user can create projects, and so they will encounter file:// URLs sooner or later.
#6 - 29 Jun 2012 15:01 - Andriy Lesyuk

- Status changed from Incomplete to Open

Oh, | see now... Thanks!

#7 - 08 Oct 2012 14:27 - Andriy Lesyuk

| think this can be done only using some option... Because, in this case, you actually want to replace the real information with the fake. Maybe be
:fake_url option...

#8 - 09 Oct 2012 12:39 - Humberto Anjos

| was thinking strictly of a Redmine Checkout -like solution: a Regular expression field to parse and capture the real information, and a
Replacement text field for the generated URL.

#9 - 25 May 2013 20:27 - Alatar Al

Can you explain why you use local path for redmine pero setting? As | understand, you need local path only on repo create stage but after creation
redmine can work with this repo over common interface (svn: or http:).

#10 - 14 Sep 2013 21:04 - Andriy Lesyuk

Alatar Al wrote:

Can you explain why you use local path for redmine pero setting? As | understand, you need local path only on repo create stage but after
creation redmine can work with this repo over common interface (svn: or http:).

| guess, this question was to me (please use Forums in such cases)... The same way SVN can access a repo using file:// and file:// is much faster as
it does not involve client-server.

#11 - 14 Sep 2013 22:24 - Andriy Lesyuk
- Status changed from Open to In Progress

- % Done changed from 0 to 20

#12 - 19 Sep 2013 10:16 - Andriy Lesyuk

Please check 0.4.3 and tell, if that's what you wanted.

#13 - 29 Apr 2014 07:53 - Alatar Al

Please check 0.4.3 and tell, if that's what you wanted.

Yes that’s it, thanks!

PS: Sorry for late answer.
#14 - 19 Dec 2016 21:52 - Andriy Lesyuk
- Status changed from In Progress to Closed

- % Done changed from 20 to 100

Ok. Assuming, that this issue was fixed in 0.4.3. Please reopen or create new issue, if you think, that it was not.

Files

file-URL-being-shown.PNG 53.6 KB 29 Jun 2012 Humberto Anjos
